@import "../../global.scss";
@import "../../styling/mediaQuery.module.scss";
#zp-home-header {
  position: sticky;
  top: 0;
  z-index: 500;
}
.dropDownButtonClass {
  border: none;
  background-color: transparent;
  width: 100%;
  text-align: left;
}
.custom-navbar {
  // background: none;
  // position: absolute;
  width: 100%;
  z-index: 9;
  margin-top: 0;
  padding: 0px 50px;
  @include mmobile {
    padding: 0px 15px;
  }
  // background: $Blue;
  @include transition(ease 0.2s);
  &.fixed-navbar {
    position: fixed;
    background: $Blue;
    @include tmobile {
      position: relative;
    }
  }
  .padd_sol {
    // @include till4k {
      padding-left: 20% !important ;
    // }
    @include minMax3 {
      padding-left: 5% !important;
    }
  }
  .navbar-brand {
    width: 120px;
    @include tmobile {
      padding-top: 12px;
    }
  }
  .menu-hamburger {
    display: none;
    outline: none;
    @include tmobile {
      display: block;
      padding-top: 12px;
    }
    .openMenuForMobile {
      display: none;
      @include tmobile {
        height: 45px;
        background-size: contain;
        top: 17px;
        right: 25px;
        position: absolute;
        float: right;
        display: block;
      }
    }
    .openMenuForMobileVert {
      display: none;
      @include tmobile {
        //height: 15px;
        width: 45px;
        top: 33px;
        right: 25px;
        position: absolute;
        background-size: contain;
        float: right;
        display: block;
      }
    }
  }
  .searchPos {
    display: none;
    @include tmobile {
      display: block;
      padding: 12px 0 0 0;
      max-width: 100vw;
      margin-left: -50px;
      margin-right: -53px;
      position: relative;
    }
    .mobileSearch {
      display: none;
      @include tmobile {
        display: block;
        position: relative;
        min-width: 100vw;
        background-color: #b0c7cf;
        border: none;
        outline: none;
        color: white;
        height: 55px;
        padding: 0 0 0 25px;
      }
    }
    .imgPos {
      display: none;
      @include tmobile {
        display: block;
        color: $Blue;
        position: absolute;
        top: 22px;
        right: 20px;
      }
    }
  }
  .nav-search {
    display: none;
    @include tmobile() {
      display: block;
      position: absolute;
      top: 27%;
      left: 0;
      z-index: 1;
      max-height: 415px;
      overflow-y: auto;
      overflow-x: hidden;
    }
  }
  .navbar-col {
    justify-content: flex-end;
    @include tmobile {
      width: -webkit-fill-available;
      margin-left: -50px;
      margin-right: -47px;
    }
  }
  .navbar-nav {
    align-items: center;
    .nav-item {
      padding: 22px 10px;
      @include tmobile {
        padding: 0 15px 12px 50px !important;
        width: 100vw;
      }

      .nav-link {
        color: $White;
        font-weight: 700;
        @include tmobile {
          font-size: 21px;
        }
        &.nav-subscription {
          color: $Lime;
          position: relative;
          margin: 0 10px 0 0;
          max-width: 100%;
          @include tmobile {
            margin: 0 0 0 12px !important;
          }
          @include transition(all ease 0.4s);
          &::before {
            content: "";
            background: url(../../assets/images/ZHA-left-bracket.png) no-repeat;
            position: absolute;
            width: 10px;
            height: 18px;
            @include bigScreen {
              left: -5px;
            }
            left: -12px;
            top: 47%;
            @include transform(translateY(-50%));
            background-size: contain !important;
          }
          &::after {
            content: "";
            background: url(../../assets/images/ZHA-right-bracket.png) no-repeat;
            position: absolute;
            width: 10px;
            height: 18px;
            @include mtablet {
              left: 169px;
            }
            left: 139px;
            top: 50%;
            @include transform(translateY(-50%));
            background-size: contain !important;
          }
          &:hover {
            color: $Teal;
            &::before {
              background: url(../../assets//images/Teal-left-bracket.png)
                no-repeat;
            }
            &::after {
              background: url(../../assets//images/Teal-right-bracket.png)
                no-repeat;
            }
          }
        }
      }
      &.nav-icon {
        img {
          width: 28px;
          @include tmobile {
            display: none;
          }
        }

        .user-nav-icon {
          .userAccount {
            display: none;
            @include tmobile {
              display: block;
              cursor: pointer;
            }
          }
          .user-hover {
            display: none;
          }
          &:hover {
            .user {
              display: none;
            }
            .user-hover {
              display: inline-block;
              @include tmobile {
                display: none;
              }
            }
          }
        }
      }
    }
    &.custom-right-navbar {
      .position {
        position: relative;
        .searchToggle {
          width: 0;
          position: absolute;
          background-color: #afc7cf;
          caret-color: $DarkBlue;
          height: 44px;
          display: block;
          border-radius: 7px;
          right: 0;
          top: 10px;
          outline: none;
          border: none;
          padding: 0;
          @include ipadpro {
            top: 1px;
          }
          @include transition(width 1s);
        }
      }
      .nav-item {
        padding: 0;
      }
    }
  }
  .dropdown {
    position: inherit;
    .imageArrow {
      display: none;
      @include tmobile {
        display: block;
        height: 20px;
        float: right;
      }
    }
    .active-nav {
      position: relative;
      @include tmobile {
        color: $Lime !important;
      }
      &::before {
        content: "";
        background: url(../../assets/images/ZHA-left-bracket.png) no-repeat;
        position: absolute;
        width: 10px;
        height: 18px;
        left: -5px;
        top: 50%;
        @include transform(translateY(-50%));
        @include tmobile {
          display: none;
        }
        background-size: contain;
      }
      &::after {
        content: "";
        background: url(../../assets/images/ZHA-right-bracket.png) no-repeat;
        position: absolute;
        width: 10px;
        height: 18px;
        right: -5px;
        top: 50%;
        @include transform(translateY(-50%));
        @include tmobile {
          display: none;
        }
        background-size: contain;
      }
    }
  }
  .dropdown-menu {
    background: $Blue;
    margin: 0;
    border-radius: 0;
    border-top: $DarkBlue 1px solid;
    @include tmobile {
      border: none;
    }
    padding: 0;
    outline: none !important;
    &.dropdown-menu-right {
      left: 0;
    }
    .menu-wrap {
      display: flex;
      padding: 0px 50px;
      @include tmobile {
        padding: 0 !important;
        display: block;
        height: auto;
        // position: relative;
      }
      .custom-left-nav {
        min-width: 35%;
        @include screen4k {
          min-width: 25%;
        }
        border-right: $DarkBlue 1px solid;
        @include tmobile {
          display: none;
        }
        .nav-left-link {
          display: block;
          font-size: 22px;
          font-weight: bold;
          color: $White;
          margin-top: 30px;
          position: relative;
          cursor: pointer;
          &.active {
            color: $Lime;
            &:after {
              content: "";
              background: url(../../assets/images/dot.png);
              position: absolute;
              width: 10px;
              height: 25px;
              background-size: contain;
              background-repeat: no-repeat;
              right: -8px;
              top: 50%;
              @include tmobile {
                background-image: none;
                height: 100px;
              }
              @include transform(translateY(-50%));
            }
          }
        }
      }
      .nav-left-link {
        @include tmobile {
          font-weight: bold;
          color: $White;
          font-size: 16px;
          margin-top: 0 !important;
          margin-left: 20px;
        }
        cursor: pointer;
        // &.lastChild {
        //   margin-bottom: 90px;
        // }
        &.active {
          color: $Lime;
          text-decoration: none;
        }
      }
      .custom-right-nav {
        padding: 30px;
        @include tmobile {
          padding: 0 !important;
        }
        h5 {
          color: $Teal;
          margin: 0 0 30px 0;
          font-size: 22px;
          @include tmobile {
            display: none;
          }
        }
        .heading_tagline {
          color: $Teal;
          margin: 0 0 0 30px;
          font-weight: bold;
          font-size: 16px;
          @include tmobile {
            display: none;
          }
          // float: left;
        }
        .sub-dropdown {
          @include tmobile {
            padding: 10px 0 10px 35px;
          }
          .nav-item {
            padding: 0 !important;
            display: block;
            width: 100%;
            // margin-bottom: 15px;
            @include tmobile {
              margin-bottom: 0;
            }
            .nav-link {
              color: $White;
              display: inline-block;
              // padding: 0 30px;
              @include tmobile {
                font-size: 15px;
              }
            }
          }
        }
      }
    }
  }
  .inner-nav-active {
    color: $Lime !important;

    // width: 25%;
  }
  .minus {
    display: none;
    @include tmobile {
      display: flex;
      height: 10px;
      width: 15px;
      margin-top: auto;
      margin-bottom: auto;
    }
  }
  .plus {
    display: none;
    @include tmobile {
      display: flex;
      height: 20px;
      width: 15px;
    }
  }
  .m-child {
    @include tmobile {
      margin-top: 0px !important;
      margin-bottom: 0px !important;
      margin-left: 20px;
    }
  }
  .mt-20 {
    margin-top: 0;
    display: none;
    @include tmobile {
      display: flex;
      margin-top: 20px;
    }
  }
  .mob {
    @include tmobile {
      display: none !important;
    }
  }
  .search {
    display: block;
    color: $Lime;
    cursor: pointer;
    @include tmobile {
      display: none;
    }
  }
  .show {
    display: block;
  }
  .hide {
    display: none;
  }
  .ml-8 {
    // margin-left: 4em;
    @include mtablet() {
      margin-left: auto !important;
      margin-right: auto !important;
    }
  }
  .overflow-scroll {
    overflow: auto;
    position: absolute;
    top: 3.5em;
    right: 1px;
    // width: 18em;
    max-height: 363px;
    box-shadow: 2px 2px 4px 0px;
    display: block;
  }
  .searchScrollWidth {
    width: 18em;
  }
  .searchScrollWidthCookie {
    width: 27.2em;
  }
  .close {
    width: 20px;
    height: 20px;
    cursor: pointer;
    position: absolute;
    top: 0.9em;
    right: 2em;
  }
  .limeSearch {
    // width: 20px;
    // height: 20px;
    cursor: pointer;
    position: absolute;
    top: 1.3em;
    right: 1.5em;
    @include ipadpro {
      top: 1em;
    }
  }
  .searchList {
    @include tmobile() {
      display: none;
    }
    position: absolute;
    top: 10px;
    right: 50px;
  }
  .sub-dropdown {
    position: relative !important;
  }
}

.sign-hover {
  background-color: $Blue;
  position: relative;
}

.sign-box {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: #fff;
  background-color: $Blue;
  top: 42.2px;
  width: 100%;
  left: 0.3px;
  border-top: 1px solid $DarkBlue;
  font-size: inherit;
  @include mindesktop {
    font-size: inherit;
  }
  a {
    color: #fff;
    text-decoration: none !important;
  }
}

.arrow-down {
  font-size: 23px !important;
  cursor: pointer;
  display: flex;
  align-items: flex-start;
}

.zp-demo-box {
  display: flex;
  justify-content: flex-start !important;
  flex-direction: row;
}
.wdt {
  @include tmobile() {
    width: 100vw;
  }
}

.get-user-box {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  font-size: 16px !important;
}
.subBack {
  // margin-left: auto;
  @include bigScreen {
    padding-left: 14px;
  }
  li {
    padding: 0 !important;
  }
}

.modal {
  border: none;
  overflow: hidden !important;
  border-radius: 10px;
  @include mtablet {
    max-height: 75vh;
  }
  //justify-content: space-between;

  :global(.modal-content) {
    border: none;
    //width: 55%;
    border-radius: 10px;
    overflow: hidden;
    height: auto;
    @include tmobile {
      width: 90%;
    }
  }

  &__body {
    color: $Teal;
    padding: 10px 0 0 0;
    overflow-y: auto;
    max-height: 20em;
    @include smobile {
      max-height: 14em;
    }
  }
}

.header {
  display: flex;
  background-color: $Blue;
  color: #fff;
  align-items: center;
  border-top-left-radius: calc(0.3rem - 1px);
  border-top-right-radius: calc(0.3rem - 1px);
  padding: 1.5rem 0.8rem;
  @include smobile {
    padding: 0.255em 0.8em;
  }
}

.safari_only {
  @media not all and (min-resolution: 0.001dpcm) {
    @supports (-webkit-appearance: none) {
      padding: 7% 0.8em;
    }
  }
}

.footer {
  background-color: $Blue;
  color: $White;
  width: auto;
  justify-content: center;
  @media not all and (min-resolution: 0.001dpcm) {
    @supports (-webkit-appearance: none) {
      padding: 2em;
    }
  }
  padding: 0.5em;
}

.closeBtn {
  color: $White;
  font-size: 20px;
  padding: 0;
  margin-left: 15px;
  background-color: $Blue;
  border: 0;
  @include smobile {
    padding-bottom: 1em;
    padding-top: 1em;
  }

  &:hover {
    color: $White;
  }

  svg {
    width: 2em;
    height: 3em;
  }
}

.submitBtn {
  color: $White;
  font-size: 20px;
  padding: 3px 20px;
  margin-left: 15px;
  background-color: $Lime;
  border-radius: 25px;
  //width: 5em;
  border: 0;
  &:focus {
    outline: none;
  }
}

.colums {
  padding: 1em;
}

.checkbox {
  padding: 1em;
  display: inline-grid;
}

.contact-input {
  width: 100%;
  border-radius: 10px;
  border: 2px solid rgba(6, 51, 63, 0.3);
  color: $DarkBlue;
  padding: 7px;
  &:focus {
    outline: none;
    box-shadow: 0 0 7px $Lime;
  }
}
.error-input {
  width: 100%;
  border-radius: 10px;
  border: 2px solid red;
  padding: 7px;
  &:focus {
    outline: none;
    box-shadow: 0 0 7px $Lime;
  }
}

.drpDwn {
  color: $DarkBlue !important;
  width: 100%;
  justify-content: space-between;
  border-radius: 10px;
  border: 2px solid rgba(6, 51, 63, 0.3);
  box-shadow: transparent;
  background-color: transparent !important;
  &select:focus {
    outline: none;
  }
}

.dropdown-menu {
  width: 100%;
}

.btn-primary:not(:disabled):not(.disabled).active:focus,
.btn-primary:not(:disabled):not(.disabled):active:focus,
.show > .btn-primary.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-primary.focus,
.btn-primary:focus {
  box-shadow: none;
  border: 2px solid rgba(6, 51, 63, 0.3);
  border-color: none;
}

.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.show > .btn-primary.dropdown-toggle {
  box-shadow: 0 0 7px $Lime;
  border: 2px solid rgba(6, 51, 63, 0.3);
}

.btn-primary {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.drpDwn:hover {
  color: $DarkBlue;
  width: 100%;
  border-radius: 10px;
  border: 2px solid rgba(6, 51, 63, 0.3);
  background-color: transparent !important;
}

.modal-open .modal {
  //overflow-y: hidden;
  padding-right: 0px !important;
  padding-left: 0px !important;
  padding-top: 0px !important;
  padding-bottom: 0px !important;
}

.modal-open {
  padding-right: 0px !important;
}
div * {
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* IE 10+ */

  ::-webkit-scrollbar {
    width: 5px;
    margin-right: 2px;
  }

  /* Track */
  ::-webkit-scrollbar-track {
    background: transparent;
    padding-right: 3px;
  }

  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: $DarkBlue;
    border-radius: 40px;
  }

  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: $DarkBlue;
  }
}

.on-scrollbar {
  scrollbar-width: thin; /* Firefox */
  -ms-overflow-style: none; /* IE 10+ */
}

.on-scrollbar::-webkit-scrollbar-track {
  box-shadow: none !important;
  background-color: transparent !important;
}

.on-scrollbar::-webkit-scrollbar {
  width: 6px !important;
  background-color: transparent;
}

.on-scrollbar::-webkit-scrollbar-thumb {
  background-color: #acacac;
}

/* Customize the label (the container) */
.checkboxcontainer {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 16px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.checkboxcontainer input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  background-color: transparent;
  border: 2px solid rgba(6, 51, 63, 0.3);
}

/* On mouse-over, add a grey background color */
.checkboxcontainer:hover input ~ .checkmark {
  background-color: transparent;
  border: 2px solid rgba(6, 51, 63, 0.3);
}

/* When the checkbox is checked, add a blue background */
.checkboxcontainer input:checked ~ .checkmark {
  background-color: $Lime;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.checkboxcontainer input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.checkboxcontainer .checkmark:after {
  left: 9px;
  top: 5px;
  width: 5px;
  height: 15px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.col,
.col-1,
.col-10,
.col-11,
.col-12,
.col-2,
.col-3,
.col-4,
.col-5,
.col-6,
.col-7,
.col-8,
.col-9,
.col-auto,
.col-lg,
.col-lg-1,
.col-lg-10,
.col-lg-11,
.col-lg-12,
.col-lg-2,
.col-lg-3,
.col-lg-4,
.col-lg-5,
.col-lg-6,
.col-lg-7,
.col-lg-8,
.col-lg-9,
.col-lg-auto,
.col-md,
.col-md-1,
.col-md-10,
.col-md-11,
.col-md-12,
.col-md-2,
.col-md-3,
.col-md-4,
.col-md-5,
.col-md-6,
.col-md-7,
.col-md-8,
.col-md-9,
.col-md-auto,
.col-sm,
.col-sm-1,
.col-sm-10,
.col-sm-11,
.col-sm-12,
.col-sm-2,
.col-sm-3,
.col-sm-4,
.col-sm-5,
.col-sm-6,
.col-sm-7,
.col-sm-8,
.col-sm-9,
.col-sm-auto,
.col-xl,
.col-xl-1,
.col-xl-10,
.col-xl-11,
.col-xl-12,
.col-xl-2,
.col-xl-3,
.col-xl-4,
.col-xl-5,
.col-xl-6,
.col-xl-7,
.col-xl-8,
.col-xl-9,
.col-xl-auto {
  @include smobile {
    width: auto;
  }
  @include mmobile {
    width: auto;
  }
}

.font {
  @include smobile {
    font-size: 1.5em;
  }
}
.modal .modal-content {
  height: 70%;
  display: flex;
  justify-content: space-between;
  //margin-left: 15em;
  @include smobile {
    margin-left: 1em;
  }
}
.modal__body {
  max-height: none;
  overflow-y: auto;
  ::-webkit-scrollbar {
    width: 10px;
  }
}
.custom-navbar .ml-8 {
  margin-right: auto !important;
  width: 75%;
  margin-left: auto;
  @include smallpc {
    margin-left: 0 
  }
}

.icon {
  color: #ffffff;
  font-size: 0.8em;
  font-weight: bold;
  margin-bottom: 3px;
  &:hover {
    color: $Lime;
  }
  @include tmobile {
    display: none;
  }
}
.custom-navbar .dropdown-menu .menu-wrap .custom-left-nav .nav-left-link {
  text-decoration: none;
}

.custom-navbar .navbar-nav .nav-item {
  @include ipadpro {
    font-size: 13px;
    padding: 4.5px;
  }
}

.phoneInput {
  width: 100%;
  border: 2px solid rgba(6, 51, 63, 0.3);
  border-radius: 10px;
}

.phoneInputError {
  width: 100%;
  border: 2px solid red;
  border-radius: 10px;
}

.innerdropMenu {
  @include mmobile {
    width: 100%;
  }
}
.hoverbutton {
  background-color: transparent;
  color: white;
  border: none;
  outline: none;
  font-weight: bold;
}
.DropdownListGroups {
  button{
      background-color: $Blue !important;
  }
  .dropButton {
      background-color: $Blue !important;
      border: 1px solid $Lime;
      color: $Lime;
      font-weight: bold;
      display: flex;
      justify-content: center;
      align-items: center;

      @include ipadpro {
          font-size: 8px;
      }

      @include mindesktop {
          font-size: 14px;
      }

      @include screen4k {
          font-size: 16px;
      }

      @include mmobile {
          font-size: 15px;
      }
  }

  .dropMenu {
      width: fit-content !important;
      overflow-wrap: break-word;
      left: -8px !important;
      margin-top: 1px;
      top: -2px !important;
      outline: none;
      @include ipadpro {
          font-size: 8px;
      }

      @include mindesktop {
          font-size: 14px;
      }

      @include screen4k {
          font-size: 16px;
      }

      @include mmobile {
          font-size: 15px;
      }

      button {
          color: white;
          font-weight: bold;

          @include ipadpro {
              font-size: 8px;
          }

          @include mindesktop {
              font-size: 14px;
          }

          @include screen4k {
              font-size: 16px;
          }

          @include mmobile {
              font-size: 15px;
          }

          &:hover {
              background-color: transparent;
              color: $Lime;

              @include mmobile {
                  font-size: 15px;
              }

              @include ipadpro {
                  font-size: 8px;
              }

              @include mindesktop {
                  font-size: 14px;
              }

              @include screen4k {
                  font-size: 16px;
              }

              // @include transition(0.3s, ease)
          }
          &:focus{
              outline: none;
              background-color: $Blue;
          }
          &:active{
              background-color: $Blue;
              color: white;
          }
      }
  }
}